<?php
require dirname(__FILE__) . '/../../autoload.php';

// Init du service
$service = new \SparkWebService(array('cache_wsdl' => WSDL_CACHE_NONE));

// Méthode UpdateArticle
// Init des paramètres
$token = 'test-467afe5eff145ffb2d87';

$date = new DateTime();
$dateFormat = $date->format('Ymd');
$publicKey = md5(uniqid('SparkWeb'));

$key = $token . $publicKey .  $dateFormat;
$hashkey = md5($key);

$Code = "VB022BT16CCB06";
$WebCode = "WEB-REF-VB022BT16CCB06";

//Appel de la requête
$request = new \UpdateArticle($hashkey,$publicKey,$Code, $WebCode);

// Récupération de la réponse
$response = $service->UpdateArticle($request);

var_dump($response);

